# set\_token\_function

Method for set FA2 interface functions.

There are 7 functions that belong to [DEX methods](/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/dex-methods.md).

```pascaligo
0n -> transfer_ep
1n -> get_balance_of
2n -> update_operators
3n -> update_token_metadata
4n -> total_supply_view
```

### Input parameters type

<table><thead><tr><th width="150">Field</th><th width="150" align="center">Type</th><th width="448.2">Description</th></tr></thead><tbody><tr><td>func</td><td align="center"><code>bytes</code></td><td><p>Packed bytes from </p><p><code>type token_func_t is (token_action_t * full_storage_t) -> full_return_t</code></p></td></tr><tr><td>index</td><td align="center"><code>nat</code></td><td>Index of the passed method to be set to the lambdas big_map</td></tr></tbody></table>

```pascaligo
type token_action_t     is
| Transfer                of transfer_param_t
| Balance_of              of bal_fa2_param_t
| Update_operators        of operator_param_t
| Update_metadata         of upd_meta_param_t
| Total_supply            of ts_v_param_t

type full_return_t      is list(operation) * full_storage_t
type token_func_t       is (token_action_t * full_storage_t) -> full_return_t

type set_lambda_func_t  is [@layout:comb] record [
  func                    : bytes;
  index                   : nat;
]
```

{% hint style="warning" %}
This contract method is called only by `admin` of that contract.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/initialization/set_token_function.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
